petsc-3.12.1 2019-10-22
Report Typos and Errors

# PetscSharedTmp

Determines if all processors in a communicator share a /tmp or have different ones.

### Synopsis

    PetscErrorCode  PetscSharedTmp(MPI_Comm comm,PetscBool  *shared)

Collective

### Input Parameters

comm -MPI_Communicator that may share /tmp

### Output Parameters

shared -PETSC_TRUE or PETSC_FALSE

### Options Database Keys

| -shared_tmp | - . -not_shared_tmp
| -tmp tmpdir | - Environmental Variables: + PETSC_SHARED_TMP

PETSC_NOT_SHARED_TMP -- PETSC_TMP

### Notes

Stores the status as a MPI attribute so it does not have to be redetermined each time.

Assumes that all processors in a communicator either 1) have a common /tmp or 2) each has a separate /tmp eventually we can write a fancier one that determines which processors share a common /tmp.

This will be very slow on runs with a large number of processors since it requires O(p*p) file opens.

If the environmental variable PETSC_TMP is set it will use this directory as the "/tmp" directory.

### Level

developer

### Location

src/sys/fileio/fretrieve.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages